Bug 303658 - Add a button to check for new files
Summary: Add a button to check for new files
Status: RESOLVED FIXED
Alias: None
Product: nepomuk
Classification: Unclassified
Component: kcm (show other bugs)
Version: git master
Platform: unspecified Linux
: NOR task (vote)
Target Milestone: ---
Assignee: Nepomuk Bugs Coordination
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-17 09:22 UTC by Vishesh Handa
Modified: 2012-12-29 17:46 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vishesh Handa 2012-07-17 09:22:36 UTC
The KCM should provide the users a way to check for new files which haven't been indexed (for whatever reason.) The button can work by calling a dbus method in the fileindexer service.

This adds a greater sense of control for the user.

Relevant Code: kde-runtime/nepomuk/kcm/*
Comment 1 Gabriel Poesia 2012-12-29 17:46:21 UTC
Git commit 36ca51b1c895a0b0cdba56fed9d1d0b005252678 by Gabriel Poesia.
Committed on 29/12/2012 at 18:28.
Pushed by poesia into branch 'master'.

Nepomuk KCM: Add a button to check for new files and changes

Add a new button in the Nepomuk KCM's Advanced Settings tab. When
clicked, the button forces the indexer to check for new files in the
folders marked for indexing. This adds a greater sense of control to the
user. A new QGroupBox was added as well, with the title "Actions". In
the future, there will be more commands like this available there.
REVIEW: 107553
GUI: New button and button group in the Nepomuk KCM

M  +54   -0    nepomuk/kcm/nepomukconfigwidget.ui
M  +6    -0    nepomuk/kcm/nepomukserverkcm.cpp
M  +1    -0    nepomuk/kcm/nepomukserverkcm.h

http://commits.kde.org/kde-runtime/36ca51b1c895a0b0cdba56fed9d1d0b005252678